Name:           msv
Version:        2022.7
Release:        6%{?dist}
Summary:        Multi-Schema Validator Toolkit
# License breakdown
# Apache-1.1
# * xsdlib/src/main/java/com/sun/msv/datatype/regexp - All files except for InternalImpl.java
# BSD-3-Clause-Sun
# * pom.xml
# * xsdlib/src/main/java/com/sun/msv/datatype/regexp/InternalImpl.java
# BSD-3-Clause-Sun implied by docs/xsdlib/license.txt of the original tarball
# * xsdlib/src/main/java/com/sun/msv/datatype/xsd/CommandLineTester.java
# * xsdlib/src/main/resources/com/sun/msv/datatype/xsd/Messages.properties
# * xsdlib/src/main/resources/com/sun/msv/datatype/xsd/Messages_ja.properties
# BSD-3-Clause - All other .java files
License:        Apache-1.1 AND BSD-3-Clause AND BSD-3-Clause-Sun
URL:            https://xmlark.github.io/msv/
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

# ./generate-tarball.sh
Source0:        %{name}-%{version}.tar.gz

Source1:        generate-tarball.sh

Patch1:         0001-Disable-Apache-XercesImpl.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.jdom:jdom2)
BuildRequires:  mvn(relaxngDatatype:relaxngDatatype)

%description
The Multi Schema Validation toolkit is a Java based toolkit consisting of 8
different submodules. The core module is the Multi-Schema XML Validator (MSV)
for the validation of XML documents against several kinds of XML schemata The
core supports RELAX NG, RELAX Namespace, RELAX Core, TREX, XML DTDs, and a
subset of XML Schema Part 1.

%package        javadoc
Summary:        API documentation for %{name}

%description    javadoc
This package provides %{summary}.

%package        xsdlib
Summary:        Java implementation of W3C’s XML Schema Part 2

%description    xsdlib
MSV XML Datatypes Library, Java implementation of W3C’s XML Schema Part 2, is
intended for use with applications that incorporate XML Schema Part 2.

%prep
%setup -q

# Disable runtime dependency on Apache Xerces
%patch 1 -p1
rm xsdlib/src/main/java/com/sun/msv/datatype/xsd/regex/XercesImpl.java

%pom_xpath_remove 'pom:project/pom:modules'
%pom_xpath_inject 'pom:project' '<modules><module>xsdlib</module></modules>'

%pom_xpath_remove 'pom:build/pom:extensions'

%pom_remove_dep org.apache.maven.scm:maven-scm-provider-gitexe
%pom_remove_dep xerces:xercesImpl xsdlib

%pom_remove_plugin org.codehaus.mojo:flatten-maven-plugin
%pom_remove_plugin -r :maven-javadoc-plugin

# We only build xsdlib
%mvn_package net.java.dev.msv:msv __noinstall

%build
%mvn_build -s

%install
%mvn_install

%files javadoc -f .mfiles-javadoc
%license Apache-LICENSE-1.1.txt license.txt

%files xsdlib -f .mfiles-xsdlib
%doc README.md README-xsdlib.md
%license Apache-LICENSE-1.1.txt license.txt

%changelog
* Tue Oct 29 2024 Troy Dawson <tdawson@redhat.com> - 2022.7-6
- Bump release for October 2024 mass rebuild:
  Resolves: RHEL-64018

* Thu Aug 01 2024 Troy Dawson <tdawson@redhat.com> - 2022.7-5
- Bump release for Aug 2024 java mass rebuild

* Mon Jun 24 2024 Troy Dawson <tdawson@redhat.com> - 2022.7-4
- Bump release for June 2024 mass rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2022.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2022.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 07 2023 Marian Koncek <mkoncek@redhat.com> - 2022.7-1
- Package unretired
- Update to upstream version 2022.7
